Ginkgo: gko::solver::parameters_type Struct Reference

| Ginkgo Generated from branch based on main. Ginkgo version 1.11.0 A numerical linear algebra library targeting many-core architectures

Loading...
Searching...
No Matches
gko::solver::parameters_type Struct Reference
Inheritance diagram for gko::solver::parameters_type:
[legend]
Collaboration diagram for gko::solver::parameters_type:
[legend]

## Public Member Functions
auto | with_solver (::gko::deferred_factory_parameter< solver_type > factory) -> std::decay_t< decltype(*(this->self()))> &
template<typename... Args>
auto | with_generated_solver (Args &&... _value) -> std::decay_t< decltype(*(this->self()))> &
template<typename... Args>
auto | with_relaxation_factor (Args &&... _value) -> std::decay_t< decltype(*(this->self()))> &
template<typename... Args>
auto | with_default_initial_guess (Args &&... _value) -> std::decay_t< decltype(*(this->self()))> &
Public Member Functions inherited from gko::solver::enable_iterative_solver_factory_parameters< parameters_type, Factory >
auto | with_criteria (Args &&... factories) -> std::decay_t< decltype(*(this->self()))> &
Public Member Functions inherited from gko::enable_parameters_type< parameters_type, Factory >
parameters_type & | with_loggers (Args &&... _value)
| Provides the loggers to be added to the factory and its generated objects in a fluent interface.
std::unique_ptr< Factory > | on (std::shared_ptr< const Executor > exec) const
| Creates a new factory on the specified executor.

## Public Attributes
std::shared_ptr< const LinOpFactory > | solver {}
| Inner solver factory.
std::shared_ptr< const LinOp > | generated_solver {nullptr}
| Already generated solver.
ValueType | relaxation_factor {value_type{1}}
| Relaxation factor for Richardson iteration.
initial_guess_mode | default_initial_guess {initial_guess_mode::provided}
| Default initial guess mode.
Public Attributes inherited from gko::solver::enable_iterative_solver_factory_parameters< parameters_type, Factory >
std::vector< std::shared_ptr< const stop::CriterionFactory > > | criteria
| Stopping criteria to be used by the solver.

## Additional Inherited Members
Public Types inherited from gko::enable_parameters_type< parameters_type, Factory >
using | factory

## Member Data Documentation

## ◆ default_initial_guess

initial_guess_mode gko::solver::parameters_type::default_initial_guess {initial_guess_mode::provided}

Default initial guess mode.

The available options are under initial_guess_mode.

## ◆ generated_solver

std::shared_ptr<const LinOp> gko::solver::parameters_type::generated_solver {nullptr}

Already generated solver.

If one is provided, the factory solver will be ignored.

The documentation for this struct was generated from the following file:

- ginkgo/core/solver/ir.hpp